Subject: Re: renaming question

From: Florian Weimer <[email-masked]>
Date: Sun, 19 Aug 2007 20:16:02 +0200

* Aaron Gray:

> I have a very large C source project that I am converting from C to C++.
>
> Is it posssible to track changes with renamed files in GIT ?

You don't need to rename the files if you compile them using g++.  If
you still want to rename them, most history-related GIT commands
accept an -M switch which enables rename ("move") detection.